* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Rubik', sans-serif;
  text-decoration: none;
  list-style: none;
  scroll-behavior: smooth;
  scroll-padding-top: 2rem;
}

@font-face {
  font-family: FFF TUSJ;
  src: url(../fontes/FFF_Tusj.ttf);
}

/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;500;600;700&display=swap');

/*=============== VARIABLES CSS ===============*/

:root {
  --bg-color: #10101a;
  --main-color: #2f91bf; /*#2fbf71;*/
  --2nd-main-color: #ffffffcc;
  /*--text-color: #fff;*/
  --big-font: 5rem;
  --h2-font: 1.9rem;
  --p-font: 1rem;

  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(14, 98%, 50%);
  --black-color: hsl(0, 0%, 0%);
  --black-color-light: hsl(0, 0%, 40%);
  --white-color: hsl(0, 0%, 95%);
  --title-color: hsl(0, 0%, 0%);
  --text-color: hsl(0, 0%, 35%);
  --text-color-light: hsl(0, 0%, 64%);
  --body-color: hsl(0, 0%, 87%);
  --container-color: hsl(0, 0%, 83%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: 'Bai Jamjuree', sans-serif;
  --biggest-font-size: 2.5rem;
  --h1-font-size: 1.75rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

html,
body {
  /*width: 100vw;*/
  height: 100vh;
}

body {
  background: var(--body-color);
  color: var(--text-color);
}

header {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--body-color);
  padding: 24px 14%;
  transition: 0.3s;
}

.logo {
  color: var(--text-color);
  font-size: 1.8rem;
  font-weight: 600;
}

span {
  color: var(--main-color);
}

.navbar {
  display: flex;
}

.navbar a {
  color: var(--text-color);
  font-size: 1rem;
  padding: 10px 20px;
  font-weight: 500;
}

.navbar a:hover {
  background: var(--main-color);
  color: var(--white-color);
  transition: 0.3s;
}

/* MENU HAMBURGUER */
#menu-icon {
  font-size: 28px;
  z-index: 10001;
  cursor: pointer;
  display: none;
}

/* SECTION HOME */

section {
  padding: 120px 14%;
}

.home-apresentacao {
  /*position: relative;*/
  height: 70vh;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 6rem;
  align-items: center;
}

/* IMAGEM PERFIL */
.home-img img {
  max-width: 100%;
  /*width: 400px;*/
  height: auto;
  background-color: var(--main-color);
  border-radius: 100%;
  /*z-index: -10003;*/
}

.home-text h5 {
  color: var(--text-color);
  font-size: 25px;
  font-weight: 500;
  margin: 0 0 20px;
}

/* NOME */
.home-text h1 {
  font-size: 4rem; /*var(--big-font);*/
  color: var(--text-color);
  font-weight: 700;
  line-height: 1;
  margin: 0 0 20px;
}

.home-text h6 {
  color: var(--text-color);
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 25px;
}

.home-text p {
  max-width: 470px;
  font-size: var(--p-font);
  font-weight: 300;
  line-height: 2rem;
  margin-bottom: 1.5rem;
  color: var(--text-color);
  text-align: justify;
}

.home-habilidades {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 10px;

  overflow: hidden;
  flex-wrap: wrap;
}

.home-habilidades figure {
  width: 50px;
  height: 50px;
}

.home-habilidades img.icon {
  width: 35px;
}

.home-habilidades figcaption {
  font-weight: 100;
  font-size: 0.7rem;
}

/* BOTÃO CURRICULO */
.btn {
  background: var(--main-color);
  color: var(--white-color);
  box-shadow: 4px 4px var(--text-color);
  padding: 0 25px;
  line-height: 42px;
  display: inline-block;
  border: 1px solid transparent;
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 2px;
  transition: ease all 0.35s;
}

.btn:hover {
  background: var(--text-color);
  color: var(--white-color);
  box-shadow: 4px 4px var(--main-color);
}

/* SECTION SOBRE */

.sobre {
  display: grid;
  grid-template-columns: repeat(2, 2fr);
  grid-gap: 5rem;
  align-items: center;
}

/* UMA IMAGEM */
/*.sobre-img {
    order: 2;
    width: 100vw;
}*/

.sobre-img {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Divide em 2 colunas */
  gap: 10px; /* Espaçamento entre as imagens */
}

.sobre-img img {
  max-width: 100%;
  /*width: 580px;*/
  height: auto;
  border-radius: 15px;
}

/* CONFIGURAÇÕES COM DUAS IMAGENS
.sobre-img {
    max-width: 100%;
    width: 480px;
    height: 500px;
    position: relative;
}

.sobre-img img {
    width: 230px;
    height: auto;
    border-radius: 15px;
    position: absolute;
}

#img01 {
    left: 5px;
    top: 5px;
    z-index: 2;
}

#img02 {
    left: 240px;
    top: 150px;
    z-index: 1;
}
*/

.sobre-text h3 {
  color: var(--text-color);
  font-size: 30px;
  font-weight: 300;
  letter-spacing: 6px;
  margin: 0 0 30px;
}

.sobre-text h2 {
  /*margin-bottom: 0.5rem;*/
  font-weight: 500;
  font-size: var(--h2-font);
  line-height: 1.2;
  max-width: 470px;
  margin-bottom: 2rem;
}

.sobre-text p {
  max-width: 570px;
  font-size: var(--p-font);
  font-weight: 300;
  margin-bottom: 1.5rem;
  line-height: 1.8rem;
  color: var(--text-color);
  text-align: justify;
}

.count {
  margin-bottom: 2rem;
}

.sobre-text .count a {
  color: var(--text-color);
  margin-right: 20px;
  word-spacing: 5px;

  font-size: 1.3rem;
}

.count span {
  /*color: var(--text-color);
    font-size: 2.7rem;
    font-weight: 600;*/

  font-weight: 600;
}

.main-btn .btn {
  margin-right: 20px;
}

/* SECTION SERVIÇOS */

.center {
  text-align: center;
}

.center h3 {
  color: var(--text-color);
  font-size: 30px;
  font-weight: 300;
  letter-spacing: 6px;
}

.servico-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, auto));
  grid-gap: 2rem;
  /*align-items: center;*/
  margin-top: 4.4rem;

  /*margin-top: 4.4rem;
  justify-content: center;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;*/
}

.row {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  background: var(--container-color);
  padding: 25px 20px;
  cursor: pointer;
  transition: all 0.4s;
  /*width: 440px;*/
}

.row i {
  color: var(--main-color);
  font-size: 3rem;
  margin-bottom: 20px;
}

.row h3 {
  font-size: 1.25rem;
  font-weight: 500;
  margin-bottom: 20px;
  color: var(--main-color);
}

.row h6 {
  font-size: 1rem;
  font-weight: 500;
  margin-bottom: 20px;
  color: #3e4455;
  font-style: italic;
}

.row p {
  font-size: 15px;
  color: var(--text-color);
  line-height: 23px;
  text-align: justify;
}

.row .img-projeto {
  width: 100%;
  margin-bottom: 20px;
}

.row ul {
  margin-top: 20px;
  padding-left: 15px;
  color: var(--text-color);
  font-size: 0.95rem;
}

.row li {
  list-style: inside;
  padding-bottom: 5px;
}

.row a {
  color: var(--main-color);
  font-weight: 500;
}

.icons {
  display: flex;
  flex-direction: row;
  padding-top: 25px;
  gap: 8px;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.icons > img {
  /*margin: 30px 0 0 10px;*/
}

figure {
  width: 70px;
  height: 70px;
  text-align: center;
}

img.icon {
  width: 48px;
}

figcaption {
  font-weight: 100;
}

#ireport {
  font-family: FFF TUSJ;
}

.row:hover {
  transform: translateY(-15px);
  box-shadow: 0px 15px 30px 0px rgb(0 0 0 / 70%);
}

/* SECTION CTA */

.cta {
  background: var(--container-color);
  width: 100%;
  padding: 150px 0;
  text-align: center;
  margin: 100px auto;
}

.cta h4 {
  color: var(--text-color);
  font-size: 1.6rem;
  font-weight: 300;
  margin-bottom: 30px;
}

.cta h2 {
  color: var(--main-color);
  font-size: 4rem;
  font-weight: 300;
  margin-bottom: 40px;
}

/* SECTION CURRICULO */

.curriculo-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(390px, auto));
  grid-gap: 3rem;
  /*align-items: center;*/
  margin-top: 4.4rem;
}

.box {
  background: var(--container-color);
  padding: 40px 30px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.4s;
}

.box h6 {
  color: #3e4455;
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 10px;
}

.box h4 {
  color: var(--text-color);
  font-size: 1.3rem;
  font-weight: 700;
  margin-top: 25px;
  margin-bottom: 13px;
}

.box p {
  font-size: var(--p-font);
  font-weight: 300;
  margin-bottom: 1.2rem;
  line-height: 1.8rem;
  color: var(--text-color);
  text-align: justify;
}

.box h5 {
  font-size: 14px;
  font-weight: 500;
  color: var(--text-color);
}

.box:hover {
  transform: translateY(-15px);
  box-shadow: 0px 15px 30px 0px rgb(0 0 0 / 70%);
}

/* SECTION CONTATO */

.contato-form {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 4.2rem;
}

.contato-form form {
  position: relative;
  width: 550px;
}

form input,
form textarea {
  width: 100%;
  padding: 20px;
  border: none;
  outline: none;
  background: var(--container-color);
  color: var(--text-color);
  margin-bottom: 0.5rem;
  border-radius: 5px;
}

form input::placeholder,
form textarea::placeholder {
  color: var(--2nd-main-color);
}

textarea {
  resize: none;
  height: 200px;
}

form .enviar-btn {
  background: var(--main-color);
  color: var(--text-color);
  box-shadow: 4px 4px var(--text-color);
  padding: 0 25px;
  line-height: 42px;
  display: inline-block;
  border: 1px solid transparent;
  font-size: 14px;
  font-weight: 400;
  letter-spacing: 2px;
  transition: ease all 0.35s;
  cursor: pointer;
}

form .enviar-btn:hover {
  background: var(--text-color);
  color: var(--main-color);
  box-shadow: 4px 4px var(--main-color);
}

/* SECTION COPYRIGHT */

.copyright {
  text-align: center;
  padding: 30px;
  color: var(--text-color);
  background: var(--container-color);
  margin-top: 3rem;
  line-height: 1.8rem;
}

/* RESPONSIVIDADE */

@media (max-width: 1360px) {
  header {
    padding: 25px 3%;
  }
  section {
    padding: 85px 3%;
  }
  :root {
    --big-font: 4rem;
    --h2-font: 1.2rem;
  }
}

@media (max-width: 1020px) {
  :root {
    --big-font: 3rem;
    --h2-font: 1.2rem;
    --p-font: 0.9rem;
  }
  /* Com isso o SOBRE fica muito perto do HOME*/
  .home-apresentacao {
    /*height: 70vh;*/
  }
}

@media (max-width: 830px) {
  header {
    padding: 18px 3%;
  }
  #menu-icon {
    display: block;
  }
  .navbar {
    position: absolute;
    top: -500px;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    background: var(--container-color);
    box-shadow: 0px 15px 30px 0px rgb(0 0 0 / 70%);
    text-align: left;
    transition: 0.2s ease;
  }
  .navbar a {
    display: block;
    padding: 1rem;
    border-left: 2px solid var(--main-color);
    margin: 1rem;
    display: block;
  }
  .active {
    top: 100%;
  }
}

@media (max-width: 795px) {
  header {
    /*width: 100vw;
        padding: 0;
        margin: 0;
        position: fixed;*/
  }
  section {
    overflow: auto;
    /*width: 118%;*/
  }
  .home-apresentacao {
    grid-template-columns: 1fr;
    grid-gap: 2rem;
    text-align: center;
    margin-top: 80px;
    height: 100%;
    /*width: 118%;*/
  }
  .home-habilidades {
    margin-top: 4.4rem;
  }
  .home-text p {
    max-width: 100%;
  }
  .home-img img {
    max-width: 100%;
    width: 360px;
    height: auto;
  }
  .sobre {
    /*grid-template-columns: 1fr;
        text-align: center;*/
    /*overflow: hidden;*/

    /* Nova*/
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 5rem;
    overflow: hidden;
  }
  .sobre-text {
    width: 100vw;
  }
  .sobre-text h2 {
    max-width: 100%;
  }
  .sobre-text p {
    max-width: 100%;
    padding-left: 10px;
    padding-right: 10px;
  }
  /* conf duas imagens */
  /*.sobre-img img {
    width: 180px;
  }
  #img02 {
    left: 160px;
  }*/
  /*div.box {
        width: 100vw;
    }*/
  .row {
    padding: 45px 25px;
    margin-right: 10px;
  }
  .row h3 {
    font-size: 1.15rem;
  }
  .row p {
    font-size: 14px;
  }
  .cta h4,
  h2 {
    padding-left: 10px;
    padding-right: 10px;
  }
  .curriculo {
    overflow: hidden;
  }
  .curriculo .box {
    margin-right: 50px;
  }
}
